- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Data Fields
dirent Struct Reference
Evil » Dirent.h functions

A structure that describes a directory stream. More...

## Data Fields
char | d_name [260+1]
| The filename. More...
int | d_mode
| The mode.
unsigned char | d_type
| The type.

## Detailed Description

A structure that describes a directory stream.

Examples:
  ecore_thread_example.c.

## Field Documentation

char dirent::d_name[260+1]

The filename.

Examples:
  ecore_thread_example.c.

Referenced by opendir(), and readdir().